petsc-3.13.6 2020-09-29
Report Typos and Errors

# TSAdaptHistorySetHistory

Sets a time history in the adaptor

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptHistorySetHistory(TSAdapt adapt, PetscInt n, PetscReal hist[], PetscBool backward)

Logically Collective on TSAdapt

### Input Parameters

| adapt | - the TSAdapt context
| n | - size of the time history
| hist | - the time history
| backward | - if the time history has to be followed backward

Notes: The time history is internally copied, and the user can free the hist array. The user still needs to specify the termination of the solve via TSSetMaxSteps().

### See Also

TSGetAdapt(), TSAdaptSetType(), TSAdaptHistorySetTrajectory(), TSADAPTHISTORY

### Level

advanced

### Location

src/ts/adapt/impls/history/adapthist.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages